#ifdef GL_ES
precision mediump float;
varying mediump vec2 v_texCoord;
#else
varying vec2 v_texCoord;
#endif

uniform float u_preciseTime;

void main(void) 
{
	vec2 coord = v_texCoord;
	vec2 cPos = coord.xy - 0.5;
	float cLength = length(cPos);
	coord = coord + (cPos / cLength) * cos(u_preciseTime) * 0.02;
	gl_FragColor = texture2D(CC_Texture0, coord);
}