#ifdef GL_ES
precision mediump float;
varying mediump vec2 v_texCoord;
#else
varying vec2 v_texCoord;
#endif

uniform float u_preciseTime;
 
void main() 
{
	vec2 coord = v_texCoord;
	coord.x += (sin(coord.y * 5.0 + u_preciseTime * 30.0) / 50.0);
	gl_FragColor = texture2D(CC_Texture0, coord);
}